/*
 * File         : BV_AudioCapture.h
 * Author       : Tomasz Stachowiak
 * Created      : Tue Jul 28 14:49:34 1998
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#ifndef __BV_AUDIOCAPTURE_H
#define __BV_AUDIOCAPTURE_H

#include <stdio.h>
#include <dmedia/audio.h>

#define DEFAULT_RATE 8000
#define MONO 1
#define BLOCK 800
#define QSIZE 1600
#define SAMPLEFMT 

class BV_AudioCapture
{
 public:
  static int init();
  static int set_rate(long rate);
  static int set_gain(long gain);
  static long get_gain();

  int open();
  void close();
  int capture(char *buffer, int size);

 protected:

  ALport port;
  ALconfig conf;
  
};


#endif

